Name:           jargs
Version:        1.0
Release:        3%{?dist}
Summary:        Java command line option parsing suite

Group:          Development/Libraries
License:        BSD
URL:            http://jargs.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/jargs/jargs-1.0.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-devel >= 1.4.2 
BuildRequires:  jpackage-utils
BuildRequires:  ant

Requires:       java >= 1.4.2
Requires:       jpackage-utils

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
%{summary}.


%description
This project provides a convenient, compact, pre-packaged and 
comprehensively documented suite of command line option parsers 
for the use of Java programmers. 
Initially, parsing compatible with GNU-style 'getopt' is provided.

%prep
%setup -q
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;


%build
ant runtimejar javadoc


%install
rm -rf %{buildroot}
# jars
mkdir -p %{buildroot}%{_javadir}
cp -p lib/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar
# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/* %{buildroot}%{_javadocdir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENCE TODO doc/CHANGES
%{_javadir}/*


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/*


%changelog
* Sat May 09 2009 Guido Grazioli <guido.grazioli@gmail.com> 1.0-3
- removed versioned jar
* Sat May 09 2009 Guido Grazioli <guido.grazioli@gmail.com> 1.0-2
- fixed BuildRequires and Requires tags
- made javadoc package require main package
* Wed May 06 2009 Guido Grazioli <guido.grazioli@gmail.com> 1.0-1
- initial packaging
